#Include once "window9.bi"

Dim Shared handle As handle
handle=getmodulehandle(0)
Dim Shared  wc As wndclassex
Dim shared As string ClassName

ClassName="simple"
  'структура     класса окна wc
function rr(ByVal Class77 As String)  As Integer Export
  ClassName=Class77
  with wc ' заполняем структуру 
    .cbSize        = SIZEOF( WNDCLASSEX )      ' размер структуры    WNDCLASSEX
    .style         = CS_HREDRAW or CS_VREDRAW  ' Стиль  окна
    .lpfnWndProc   = Cast(WNDPROC,GetFbGuiWinProc())    ' Адрес процедуры окна WndProc
    .hInstance     = handle                    ' хэндл модуля
    .hbrBackground = CPtr(HGDIOBJ, 16)         ' Цвет  фона
    .lpszClassName = Cast(LPSTR,@ClassName)    ' класс окна
    .hIcon         = LoadIcon( NULL,IDI_APPLICATION )  ' Хэндл иконки
    .hIconSm       = .hIcon 'Хэндл маленькой иконки
    .hCursor       = LoadCursor( NULL,IDC_ARROW) ' Хэндл курсора
  end With
  if (RegisterClassEx(@wc) = FALSE) then
    MessageBox(0,"Не могу зарегистрировать класс окна","Ошибка",0)
    end 1
  end If
  Return 1
End Function
